Get thumbnails for a file
curl --request GET \
--url https://api.cloudglue.dev/v1/files/{file_id}/thumbnails \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/files/{file_id}/thumbnails"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/files/{file_id}/thumbnails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"total": 123,
"limit": 123,
"offset": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"time": 123,
"segmentation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"segment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Thumbnails
List File Thumbnails
Get all thumbnails for a file
GET
/
files
/
{file_id}
/
thumbnails
Get thumbnails for a file
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the file
Query Parameters
Filter thumbnails by default status. If true, will only return the default thumbnail for the file
Filter thumbnails by segmentation ID
Number of thumbnails to return
Required range:
1 <= x <= 100Offset from the start of the list
Required range:
x >= 0Filter thumbnails by type The type of the thumbnail: 'segment' for segment thumbnails, 'keyframe' for keyframes, 'file' for file thumbnails, 'frame' for frame thumbnails. Comma separated string of one or more types.
Response
List of thumbnails
Object type, always 'list'
Available options:
list Total number of segmentations matching the query
Number of items returned in this response
Offset from the start of the list
Show child attributes
Show child attributes